WebSphere Host On-Demand V10 - Supported Platform Summary

Product documentation


Abstract

The tables below identify supported operating systems along with their supported sever and client software for WebSphere Host On-Demand V10

Content



Host On-Demand Supported Server Requirements

AIX
AIX
Version 3.5
OS/390
Version 5.1
HP-UX
Tools and upgradable components
OS/400
Version 5.1
HP Itanium
Tools and upgradable components
Solaris
Version 5.1
i5/OS
Superseded Fixes
Windows
Version 5.0
Linux
Related Information
z/OS
Version 4.0
Novell
Version 4.0.7 Cumulative Fixes
OS/2

Host On-Demand Supported Client Requirements
Host On-Demand Supported Client Browser Versions
Miscellaneous Supported Software and Limitations

Host On-Demand Supported Server Requirements

AIX
Versions
  • 5.2
  • 5.3*
  • 6.1*
*(32-bit and 64-bit versions)
Disk Space (installp image)
  • 363 MB for an English-only installation
Add 4 to 8 MB for each additional national language to be installed (including the additional security files)
Supported Web Servers
  • Apache HTTP Server V1.3, V2.0, V2.2 and V2.2.11
  • IBM HTTP Server V6.0**, V6.1 and V7.0
  • iPlanet Web Server Enterprise Edition V6.0
  • Lotus Domino R6**,R7, R8, R8.5 (manual configuration required)
Supported Web Application Servers
  • iPlanet Application Server V6.0 (manual configuration of servlet required)
  • Lotus Domino R6** ,R7, R8, R8.5 (manual configuration of servlet required)
  • WebSphere Application Server 5.0**, 5.1**, 6.0**
  • WebSphere Application Server 6.1 and 7.0
C/C++ Runtime Libraries
  • AIX Version 5.x requires level 6.0.0.3
C/C++ runtime libraries are available for download at:
ftp://www7b.boulder.ibm.com/aix /fixes/byCompID/5765F5600/
Java Installed with Host On-Demand

HP Itanium
Versions
  • B.11.23 U ia64 for HOD 10.0.2 and above
Disk Space
  • 363 MB for an English-only installation
Add 4 to 8 MB for each additional national language to be installed
Supported Web Servers
  • IBM HTTP Server V1.3.28**, V2.0.42**, V2.0.47**, V6.0**, V6.1 and V7.0
Supported Web Application Servers
  • WebSphere Application Server 6.0.2.17**
  • WebSphere Application Server 6.1 and 7.0
C++ Runtime Libraries
  • HPUX IA Version requires the a C++/C Version A.06.10 (This is the a CC Compiler Version)
Java Installed with Host On-Demand



HP-UX
Versions
  • 11
  • 11i
  • 11i v2
  • 11i v3
Disk Space
  • 363 MB for an English-only installation
Add 4 to 8 MB for each additional national language to be installed
Supported Web Servers
  • Apache HTTP Server V1.3, V2.0, V2.2 and V2.2.11
  • IBM HTTP Server V1.3.28**, V2.0.42**, V2.0.47**, V6.0**, V6.1 and V7.0
  • iPlanet Web Server Enterprise Edition V6.0
  • Lotus Domino R6**, R6.5**, R7, R8, R8.5 (manual configuration required)
Supported Web Application Servers
  • iPlanet Application Server V6.0 (manual configuration of servlet required)
  • Lotus Domino R6**, R6.5**, R7, R8, R8.5 (manual configuration of servlet required)
  • WebSphere Application Server 5.0**, 5.1**, 6.0**
  • WebSphere Application Server 6.1 and 7.0
Java Installed with Host On-Demand

Linux
Versions
  • Red Hat Enterprise Linux AS 2.1**,3.0,4.0*
  • Red Hat Enterprise Linux 5.0* for HOD 10.0.6 and above
  • SuSE Linux Enterprise Server 8.0 and 9.0*
  • SuSe Linux Professional and Enterprise 10* SP2 for HOD 10.0.4 and above
  • TurboLinux 8.0 Workstation and Server
  • TurboLinux 10*
*(32-bit and 64-bit versions)
Disk Space
  • 363 MB for an English-only installation
Add 4 to 8 MB for each additional national language to be installed
Supported Web Servers
  • Apache HTTP Server V1.3, V2.0, V2.2 and V2.2.11
  • IBM HTTP Server V1.3.28**, V2.0.42**, V2.0.47**, V6.0** ,V6.1 and V7.0
  • iPlanet Web Server Enterprise Edition V6.0
  • Lotus Domino R6**, R6.5**, R7, R8, R8.5 (manual configuration required)
Supported Web Application Servers
  • iPlanet Application Server V6.0 (manual configuration of servlet required)
  • Lotus Domino R6**, R6.5**, R7, R8, R8.5 (manual configuration of servlet required)
  • WebSphere Application Server 5.0**, 5.0 Express**, 5.1**, 6.0**
  • WebSphere Application Server 6.1 and 7.0
Java Installed with Host On-Demand



Novell NetWare
Versions
  • 4.2
  • 5.1
  • 6
  • 6.5
Disk Space
  • 510 MB
Supported Web Servers
  • Novell Web Server
Java
  • Novell JDK 1.1.8 and JDK 1.3
You can obtain the latest Novell JDK at: http://www.developer.novell.com
The JDK must be configured for long-filename support.
Notes:
1. For users to load the client HTML files from a Novell server, their browsers might need to be configured not to use a proxy server. In addition, if users have a browser with a Java 2 plug-in, the IBM plug-in must be 1.3.1 or later and the Sun plug-in must be version 1.3.1 or later. The client applets do not successfully load if the plug-in is an earlier version.

2. The version of Novell Web Server supported is the same version that is packaged with that version of the Novell Operating System that Host On-demand v10.0.x supports.

OS/2
Versions
  • Warp Server Version 4
  • Warp Server for e-Business 4.5
Disk Space
  • 510 MB
The hard disk must be configured for HPFS.
Supported Web Servers
  • Lotus Domino Go Web server for OS/2
Java
  • OS/2 JVM 1.1.8 or JDK 1.3
You can obtain the latest OS/2 JDK from one of the following Web sites:
http://www.ibm.com/java
Notes:
1. For JVM 1.1.8, make sure your classpath entry in config.sys is updated with the location of the JVM class files and that the current directory (.) is included. The classpath should include something like this:

c:\Java11\lib\classes.zip;

When you have installed the JDK and set the classpath, reboot the workstation so that the updated classpath takes effect.

2. The version of Lotus Domino Go Web Server supported is the same version that is packaged with that version of OS/2 platform that Host On-demand v10.0.x supports.



OS/390 and z/OS
For a complete list of OS/390 and z/OS requirements, see the Program Directory




OS/400 and i5/OS
Versions
  • OS/400 V5R1**
  • OS/400 V5R2**
  • OS/400 V5R3**
  • i5/OS V5R3**
  • i5/OS V5R4
  • i5/OS V6R1 for HOD 10.0.4 and above
Disk Space
  • 363 MB for an English-only installation
Add 4 to 8 MB for each additional national language to be installed
Memory 256 MB memory or more. Refer to the iSeries Performance Capabilities Reference Web page for additional information about the impact of additional memory and Java performance
Supported Web Servers
  • Apache-based HTTP Server for IBM System i5 V1.3, V2.0, V2.2 and V2.2.11
  • IBM HTTP Server for IBM System i5 V6.1 and V7.0
  • Lotus Domino for IBM System i5 R7, R8 and R8.5 (manual configuration required)
Supported Web Application Servers
  • WebSphere Application Server 5.0**, 5.0 Express**, 5.1**, 6.0**
  • WebSphere Application Server 6.1 and 7.0
  • Lotus Domino for IBM System i5 R7, R8 and R8.5 (manual configuration of servlet required)
Java Toolbox for Java

Java Developer's Kit *BASE option and one of the following:

  • Option 4 - 1.1.8
  • Option 5 - 1.3
  • Option 6 - 1.4
  • Option 7 - 1.5
  • Option 8 - 1.6
All Other Requirements TCP/IP Connectivity Utilities for IBM System i5
QShell Interpreter



Solaris
Versions
  • Solaris 8
  • Solaris 9
  • Solaris 10 for HOD 10.0.1 and above
Disk Space
  • 363 MB for an English-only installation
Add 4 to 8 MB for each additional national language to be installed.
Supported Web Servers
  • Apache HTTP Server V1.3, V2.0, V2.2.11
  • IBM HTTP Server V1.3.28**, V2.0.42**, V2.0.47**, V6.0**, V6.1 and V7.0
  • iPlanet Web Server Enterprise Edition V6.0
  • Lotus Domino R6**,R6.5**, R7, R8, R8.5 (manual configuration required)
Supported Web Application Servers
  • iPlanet Application Server V6.0 (manual configuration of servlet required)
  • Lotus Domino R6**, R7, R8, R8.5 (manual configuration of servlet required)
  • WebSphere Application Server 5.0**, 5.1**, 6.0**
  • WebSphere Application Server 6.1 and 7.0
Java Installed with Host On-Demand

Windows
Versions
  • Windows 2000 Professional, Server, and Advanced Server** (support end July 13, 2010)
  • Windows XP Professional*
  • Windows Server 2003 (Standard and Enterprise Editions)*
  • Windows Server 2003 R2 (Standard and Enterprise Editions)* from HOD 10.0.4 and above
  • Windows Vista (Business, Enterprise, and Ultimate Editions)* from HOD 10.0.3 and above
*(32-bit and 64-bit versions)
Disk Space
  • 363 MB for an English-only installation
Add 4 to 8 MB for each additional national language to be installed
Supported Web Servers
  • Apache HTTP Server V1.3, V2.0, V2.2 and V2.2.11
  • IBM HTTP Server V1.3.28**, V2.0.42**, V2.0.47**, V6.0** ,V6.1 and V7.0
  • iPlanet Web Server Enterprise Edition V6.0
  • Lotus Domino R6**, R7, R8 and R8.5 (manual configuration required)
  • Microsoft IIS 5, 5.1, 6 and 7
Supported Web Application Servers
  • iPlanet Application Server V6.0 (manual configuration of servlet required)
  • Lotus Domino R6**, R7, R8 and R8.5 (manual configuration of servlet required)
  • WebSphere Application Server 5.0**, 5.0 Express**, 5.1**, and 6.0**
  • WebSphere Application Server 6.1 and 7.0
Java Installed with Host On-Demand


Host On-Demand Supported Client Requirements
Operating Systems: Supported client versions:
AIX
  • 5L 5.2**
  • 5L 5.3
  • 6.1
Citrix
  • Citrix Metaframe 1.8 for Windows Terminal Server 4.0 and 1.8 for Windows 2000 Server**
  • Citrix Metaframe XP Presentation Server (Versions S,A, and E) for Windows Feature Release V2 and V3**
  • Citrix XenApp V5.0, V6.0
HP-UX
  • 11
  • 11i
  • 11i V2
  • 11i V3
Linux
  • Red Hat Enterprise Linux AS 2.1**, 3.0, 4.0* (WS, ES, and AS)
  • Red Hat Enterprise Linux 5.0* for HOD 10.0.6 and above
  • SuSE Linux 8.2 and 9.0 Professional**
  • SuSE Linux Enterprise Server 8.0, 9.0 and 10.0
  • TurboLinux 8.0 Workstation and Server,
  • TurboLinux 10 Desktop
Macintosh
  • Mac OS X 10.2.1,10.3, and 10.4
OS/2
  • Warp 4
Solaris
  • Solaris 8
  • Solaris 9
  • Solaris 10
Windows
  • Windows 2000 (Professional)** (support end July 13, 2010)
  • Windows XP Professional Edition*
  • Windows XP Home Edition (32-bit version)
  • Windows Server 2003 (Enterprise, Standard, and Web)*
  • Windows Vista (Business, Enterprise, and Ultimate Editions)* from HOD 10.0.1 and above
  • Windows Fundamentals for Legacy PC IPV6 for HOD 10.0.1 and above (see 10.0.1 Readme for more details)**
  • Windows NT Server 4.0 Terminal Server Edition**
  • Windows Terminal Services for Windows 2000 and Windows 2003 (32-bit) (64-bit for HOD 10.0.1 and above)
  • Windows 7 (HOD 10.0.7.0 and above)
Notes:
*(32-bit and 64-bit versions)
**Support for Host On-Demand with other software that is no longer supported
  • Host On-Demand does not support Netscape on Mac OS X
  • Host On-Demand supports a local client on Windows 98, Windows NT, Windows Millennium, Windows 2000, Windows 2003, and Windows XP


Host On-Demand Supported Client Browsers and Java 2 plug-ins

The supported browsers run either a Host On-Demand local client (that is, a download client or cached client downloaded to the workstation from a Host On-Demand server, see Using Host On-Demand emulator clients) or a Host On-Demand locally installed client (see Using locally installed clients).

Supported Java 1 browsers
Internet Explorer (without a Java 2 plug-in installed)
  • 5.5
  • 6.0
  • 7.0 for HOD 10.0.1 and above
Netscape Navigator (OS/2)
  • 4.61
Notes:
  • The minimum level of Java 1 supported by Host On-Demand is 3165.
  • Host On-Demand does not support Netscape on Mac OS X
Supported Java 2 enabled browsers and Java 2 plug-ins
IBM Web Browser for OS/2
  • 2.01
Internet Explorer (with a Java 2 plug-in installed)
  • 5.5
  • 6.0
  • 7.0 for HOD 10.0.1 and above
  • 8.0 (IE8 build 8.0.7100 and above) for HOD 10.0.7.0 and above
  • 9.0 for HOD 10.0.9.0
Mozilla
  • 1.0.2
  • 1.4.0
  • 1.4.1
Netscape Navigator
  • 7.0
  • 7.1
  • 7.2
  • 8.0
Firefox
  • 1.0
  • 1.5
  • 2.0 for HOD 10.0.1 and above
  • 3.0 for HOD 10.0.4 and above
  • 3.6 for HOD 10.0.9
  • 4.0 for HOD 10.0.9
Safari
  • 1.0
  • 2.0
  • 3.2.2
Notes:
  • Host On-Demand does not support Netscape on Mac OS X.
  • A Java 2 enabled browser requires a Java 2 plug-in. Supported Java 2 plug-ins include the following:
    • Sun, IBM, and HP Java plug-ins 1.3.1, 1.4.0, 1.4.1, 1.4.2, and 1.5.0. Sun 1.6.0 is supported in HOD 10.0.1 and above.
    • IBM 32-bit runtime Environment for Java 2, 1.4.1, and 1.5.
    • SR1 for Microsoft Windows.
  • For more information about Java 2 enabled browsers and Java 2 plug-ins, refer to Planning for Java 2 on the client.
  • For more information about supported Java levels with Host On-Demand, refer to Supported Java 2 plug-ins for each release of Host On-Demand.
  • On 64-bit platforms, only 32-bit browsers and 32-bit JREs are supported by Host On-Demand


Miscellaneous Supported Software and Limitations
Software
LDAP Servers
  • IBM Directory Server V4.1**, V5.1** ,V5.2**, V6.0, V6.1 and V6.2
  • IBM LDAP Server running on z/OS V1R4, V1R5, V1R6, and V1R7
For instructions on using LDAP with Host On-Demand, see Configuring Host On-Demand Server to use LDAP.
Web Servers
  • Lotus Domino R6**, R6.5**, R7, R8 and R8.5
  • iPlanet Web Server Enterprise Edition V6.0
  • IBM HTTP Server V1.3.28**, V2.0.42**, V2.0.47**, V6.0**, V6.1 and V7.0
  • Apache HTTP Server V1.3, V2.0, V2.2 and 2.2.11
  • Microsoft IIS 5, 5.1, 6 and 7
If you use the Apache 2.0.x Web server, you might experience problems when viewing HTML files provided by Host On-Demand in some languages. If the file does not display correctly, try changing or commenting out the following line in httpd.conf, located in the Web server's conf directory: AddDefaultCharSet ISO-8859-1
Web Application Servers
  • WebSphere Application Server 5.0**, 5.0 Express**, 5.02**, 5.1 (IMO)**, 6.0**, 6.1 and 7.0
  • iPlanet Application Server V6.0
  • Lotus Domino R6**, R7, R8 and R8.5
Development Environments
  • Rational Application Developer 6.0**
Miscellaneous Software
  • IBM WebSphere Portal for Multiplatforms 5.0**, 5.1**,5.1.0.1**
  • IBM WebSphere Portal for Multiplatforms 6.0 from HOD 10.0.1 and above and 6.1
  • IBM Workplace Services Express 2.6 for HOD 10.0.1 and above**
  • CICS Transaction Gateway
  • Acrobat Reader (Acrobat) Version 6.0, 7.0 and 8.0
  • CA (Netegrity) Siteminder 5.5
  • Tivoli Access Manager for e-business 4.1** and 5.1; V6.0 from HOD 10.0.2 and above
  • Lotus Expeditor 6.1 from HOD 10.0.2 and above
  • Eclipse 3.2 from HOD 10.0.2 and above

Disclaimer
IBM reserves the right to change specifications and other product information without prior notice. This publication could include technical inaccuracies or typographical errors. References herein to IBM products and services do not imply that IBM intends to make them available in other countries. IBM PROVIDES THIS PUBLICATION AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Some jurisdictions do not allow disclaimer of express or implied warranties in certain transactions, therefore, this statement may not apply to you.


Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

WebSphere Host On-Demand
General

Software version:

10.0

Operating system(s):

AIX, HP-UX, Linux, NetWare, OS/2, OS/390, OS/400, Solaris, Windows, z/OS

Reference #:

7010017

Modified date:

2011-09-16

Translate my page

Machine Translation

Content navigation